# Generated from hoe-travis-1.4.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name hoe-travis

Name: rubygem-%{gem_name}
Version: 1.4.1
Release: 1%{?dist}
Summary: hoe-travis is a Hoe plugin that allows your gem to gain maximum benefit from http://travis-ci.org
License: MIT
URL: https://github.com/drbrain/hoe-travis
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(minitest) >= 5.11
# BuildRequires: rubygem(minitest) < 6
BuildArch: noarch

%description
hoe-travis is a Hoe plugin that allows your gem to gain maximum benefit from
http://travis-ci.org.  The plugin contains a <code>.travis.yml</code>
generator and a pre-defined rake task which runs the tests and ensures your
manifest file is correct.
With hoe-travis it is easy to add additional checks.  Custom checks can be
easily verified locally by simply running a rake task instead of committing
and pushing a change, waiting for travis to run your tests, then trying a new
commit if you didn't fix the problem.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.autotest
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/Manifest.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/History.txt
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/test

%changelog
* Mon Sep 13 2021 mockbuilder - 1.4.1-1
- Initial package
